Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.bus
Class ClusteredRepositoryChangeBus.Receiver

    java.lang.Object
      org.jgroups.ReceiverAdapter
          org.modeshape.jcr.bus.ClusteredRepositoryChangeBus.Receiver

All Implemented Interfaces:
  org.jgroups.MembershipListener, org.jgroups.MessageListener, org.jgroups.Receiver

Enclosing class:
  ClusteredRepositoryChangeBus

    protected final class ClusteredRepositoryChangeBus.Receiver

extends org.jgroups.ReceiverAdapter

Constructor Summary
`protected` | `ClusteredRepositoryChangeBus.Receiver()`

Method Summary
`void` | `block()`
`void` | `receive(org.jgroups.Message message)`
`void` | `suspect(org.jgroups.Address suspectedMbr)`
`void` | `viewAccepted(org.jgroups.View newView)`

Methods inherited from class org.jgroups.ReceiverAdapter
`getState, setState, unblock`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClusteredRepositoryChangeBus.Receiver

    protected ClusteredRepositoryChangeBus.Receiver()

Method Detail

### block

    public void block()

  Specified by:
    `block` in interface `org.jgroups.MembershipListener`
  Overrides:
    `block` in class `org.jgroups.ReceiverAdapter`
  See Also:
    `MembershipListener.block()`

### receive

    public void receive(org.jgroups.Message message)

  Specified by:
    `receive` in interface `org.jgroups.MessageListener`
  Overrides:
    `receive` in class `org.jgroups.ReceiverAdapter`
  See Also:
    `MessageListener.receive(org.jgroups.Message)`

### suspect

    public void suspect(org.jgroups.Address suspectedMbr)

  Specified by:
    `suspect` in interface `org.jgroups.MembershipListener`
  Overrides:
    `suspect` in class `org.jgroups.ReceiverAdapter`
  See Also:
    `MembershipListener.suspect(org.jgroups.Address)`

### viewAccepted

    public void viewAccepted(org.jgroups.View newView)

  Specified by:
    `viewAccepted` in interface `org.jgroups.MembershipListener`
  Overrides:
    `viewAccepted` in class `org.jgroups.ReceiverAdapter`
  See Also:
    `MembershipListener.viewAccepted(org.jgroups.View)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.